TLP {cheddar} | R Documentation

## A single trophic-link property

### Description

Returns a single trophic-link property.

### Usage

    TLP(community, property)

### Arguments

`community` | an object of class `Community`.
`property` | the name of the property to return.

### Details

This function is named TLP for Trophic Link Property. It returns a vector containing the value of property for every trophic link. The returned vector is all `NA` if there is no trophic-link property with that name.

### Value

A vector of length `NumberOfTrophicLinks`.

### Author(s)

Lawrence Hudson

### See Also

`TrophicLinkPropertyNames`, `TLPS`, `NumberOfTrophicLinks`

### Examples

    # Skipwith Pond has a first-class property called link.evidence
    data(SkipwithPond)
    TLP(SkipwithPond, 'link.evidence')

    # Benguela has a first-class property called diet.fraction
    data(Benguela)
    TLP(Benguela, 'diet.fraction')

    # All NA
    TLP(SkipwithPond, 'not a property')

[Package cheddar version 0.1-633 Index]